Timelock proposals
GET
/v1/proposals
const url = 'https://api.tako.wtf/v1/proposals';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tako.wtf/v1/proposalsResponses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
id
required
Proposal id, 0x-prefixed hex
string
target
required
User-friendly address
string
value
required
Amount in nanoGram, as a decimal string
string
op
required
First 32 bits of the body, 0x-prefixed hex
string | null
body
required
Message body, base64 BoC
string
readyAt
required
Unix seconds
integer
scheduledAt
required
Unix seconds
integer
status
required
string
Example
[ { "status": "scheduled" }]